Implementation of the 'bold' markup element. A b HTML element is created and the lto-bold class is added to allow CSS modifications.

see

  IRenderable

### Hierarchy

- Bold

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render

## Constructors

### constructor

- new Bold(message: ISpecification): Bold

- - Defined in lib/renderable/bold/index.ts:13

  #### Parameters

  - ##### message: ISpecification

  #### Returns Bold

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/bold/index.ts:13

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  - Defined in lib/renderable/bold/index.ts:22

  Renders an element

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc